Bug 29041 - Improve specificity of breadcrumbs in Additional Contents
Summary: Improve specificity of breadcrumbs in Additional Contents
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 24387
Blocks:
  Show dependency treegraph
 
Reported: 2021-09-16 15:11 UTC by Owen Leonard
Modified: 2022-06-06 20:24 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29041: Improve specificity of breadcrumbs in Additional Contents (1.75 KB, patch)
2021-09-16 16:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29041: Improve specificity of breadcrumbs in Additional Contents (1.79 KB, patch)
2021-09-17 11:12 UTC, David Nind
Details | Diff | Splinter Review
Bug 29041: (follow-up) Expand the scope of changes (1.72 KB, patch)
2021-09-27 16:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29041: Improve specificity of breadcrumbs in Additional Contents (1.89 KB, patch)
2021-10-02 20:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29041: (follow-up) Expand the scope of changes (1.79 KB, patch)
2021-10-02 20:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-16 15:11:04 UTC
I'd like to add to the page's breadcrumbs a link for "HTML customizations" or "News" depending on which kind of content you're adding or editing.
Comment 1 Owen Leonard 2021-09-16 16:05:07 UTC
Created attachment 124940 [details] [review]
Bug 29041: Improve specificity of breadcrumbs in Additional Contents

This patch adds a link to news or HTML customizations in the breadcrumbs
navigation depending on which category of content you're adding or
editing.

To test, apply the patch and go to Tools -> News.

 - Begin the process of adding a news item.
 - In the breadcrumbs menu you should see:
   Additional contents > News > Add additional content
 - Clicking "News" should return you to the view of news items.
 - Test the same process in "HTML customizations."
Comment 2 David Nind 2021-09-17 11:12:37 UTC
Created attachment 124977 [details] [review]
Bug 29041: Improve specificity of breadcrumbs in Additional Contents

This patch adds a link to news or HTML customizations in the breadcrumbs
navigation depending on which category of content you're adding or
editing.

To test, apply the patch and go to Tools -> News.

 - Begin the process of adding a news item.
 - In the breadcrumbs menu you should see:
   Additional contents > News > Add additional content
 - Clicking "News" should return you to the view of news items.
 - Test the same process in "HTML customizations."

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-09-26 11:08:47 UTC
I like the hierarchy in this new link:

Home > Tools > Additional contents > HTML customizations > Add additional content 

I think it would be nice to make the start page of the tools the same instead of having the HTML or news part in ():

Homen > Tools > Additional contents (HTML customizations) 

Could we make the change there as well for more consistency?
Comment 4 Owen Leonard 2021-09-27 16:50:19 UTC
Created attachment 125368 [details] [review]
Bug 29041: (follow-up) Expand the scope of changes

This patch expands the scope of the original changes to add consistency
to the non-edit views.
Comment 5 Katrin Fischer 2021-10-02 20:00:27 UTC
Created attachment 125650 [details] [review]
Bug 29041: Improve specificity of breadcrumbs in Additional Contents

This patch adds a link to news or HTML customizations in the breadcrumbs
navigation depending on which category of content you're adding or
editing.

To test, apply the patch and go to Tools -> News.

 - Begin the process of adding a news item.
 - In the breadcrumbs menu you should see:
   Additional contents > News > Add additional content
 - Clicking "News" should return you to the view of news items.
 - Test the same process in "HTML customizations."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-10-02 20:00:33 UTC
Created attachment 125651 [details] [review]
Bug 29041: (follow-up) Expand the scope of changes

This patch expands the scope of the original changes to add consistency
to the non-edit views.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-10-02 20:00:53 UTC
Nice improvement - thx for the follow-up!
Comment 8 Jonathan Druart 2021-10-06 08:38:30 UTC
Pushed to master for 21.11, thanks to everybody involved!